with Main;
with Main_Widgets;
with Common_Dialogs;
with The_Other;
with Tcl_Utilities;
package body Main_Callback is

   -------------------
   -- display_other --
   -------------------

   procedure Display_Other is
   begin
      The_Other.Generate_Window(Interp => Main.Interp);
   end Display_Other;

   --------------
   -- go_rapid --
   --------------

   procedure Go_Rapid is
      Enum_Value : Main_Widgets.Group_Type;
      Result : Integer;
   begin
      Tcl_Utilities.Get_Text_Entry(Interp => Main.Interp,
         Window_Name => "main",
         Name => "my_entry",
         Result => Result);

      Enum_Value := Main_Widgets.Read_Group(Interp => Main.Interp);
      Common_Dialogs.Ok_Box(Interp => Main.Interp,
         Message => "Value was" &
            Main_Widgets.Group_Type'Image(Enum_Value) &
            integer'image(result));
   exception
      when others =>
         Common_Dialogs.OK_Box(Interp => Main.Interp,
            Message => "exception");
         Tcl_Utilities.Set_Text_Entry(Interp => Main.Interp,
            Window_Name => "main",
            Name => "my_entry",
            Text => "Enter a number");
         Tcl_Utilities.Highlight_Text_Entry(Interp => Main.Interp,
            Window_Name => "main",
            Name => "my_entry");
   end Go_Rapid;

end Main_Callback;