---------------------------------------------------------------
--                                                           
--  RAPID - Rapid Ada Portable Interface Designer     
--                                                           
--  B64_TO_TASH_UTILS.ADS 
--  Description : Converts Base-64 encoded GIFs to TASH files
--                       
--  By: Martin Carlisle
--                                         
-- RAPID is free software; you can redistribute it and/or 
-- modify it without restriction.  However, we ask that you
-- please retain the original author information, and clearly  
-- indicate if it has been modified.
--
-- RAPID is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
--
---------------------------------------------------------------
--
-- This procedure takes in a filename of a base-64 file
-- and outputs Package_Name.adb and Package_Name.ads,
-- which will have a TASH procedure to load the picture
--
-- This is separated into its own file so that we can
-- use it to convert from GIF to B64 to TASH or from
-- B64 to TASH
procedure b64_to_tash_utils(Filename : in String;
   Package_Name : in String);