---------------------------------------------------------------
--                                                           
--  GIF_TO_TASH
--                                                           
--  GIF_TO_TASH.ADS 
--  Description : Converts GIFs to TASH
--                       
--  By: Martin Carlisle
--                                         
-- GIF_TO_TASH is free software; you can redistribute it and/or 
-- modify it without restriction.  However, we ask that you
-- please retain the original author information, and clearly  
-- indicate if it has been modified.
--
-- GIF_TO_TASH is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
--
---------------------------------------------------------------
--
-- Convert the GIF file named to TASH
-- First we create Name.b64 from Name.gif, then
-- we create name.ad[sb] from name.b64
---------------------------------------------------------------
package Gif_To_TASH is

   Failed : exception;

   procedure Convert(Name : in String);

end Gif_To_TASH;