---------------------------------------------------------------
--                                                           
--  RAPID - Rapid Ada Portable Interface Designer
--                                                           
--  HELP_MENU.ADB
--  Description : Help Menu
--                       
--  By: Martin Carlisle 
--                                         
-- RAPID is free software; you can redistribute it and/or 
-- modify it without restriction.  However, we ask that you
-- please retain the original author information, and clearly  
-- indicate if it has been modified.
--
-- RAPID is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
--
---------------------------------------------------------------
with Main;
with Common_Dialogs;
package body Help_Menu is

   procedure About is
   begin
      Common_Dialogs.Ok_Box("RAPID" & Ascii.Lf &
         "Version 1.12" & Ascii.Lf &
         Ascii.Lf &
         "By: Dr. Martin C. Carlisle" & Ascii.Lf &
         "      Capt Pat Maes" & Ascii.Lf &
         "US Air Force Academy" & Ascii.Lf &
         "Department of Computer Science     " & Ascii.Lf &
         "carlislem@acm.org" & Ascii.Lf &
         Ascii.Lf &
         "Contributors:" & Ascii.Lf &
         "  Jonathan Busch" & Ascii.Lf &
         "  Dmitri Anisimkov" & Ascii.Lf &
         Ascii.Lf &
         "March 11, 1999",Main.Interp);
   end About;

end Help_Menu;